//Source file: Balance.java
//Date: December 2004
//Account Management Interfaces and Data Types for 3GPP TS 29.198-11 V5.7.0

package org.csapi.jr.se.am;

/**
 * Defines the structure of data elements that specifies a balance.
 * 
 */
public final class Balance implements java.io.Serializable {

    private org.csapi.jr.se.Address userID;
    private org.csapi.jr.se.am.BalanceQueryError statusCode;
    private org.csapi.jr.se.am.BalanceInfo balanceInfo;

    /**
     * Creates a new Balance instance.
     */
    public Balance () {}

    /**
     * Creates a new Balance instance.
     * @param _userID   Specifies the user to whom the account belongs.
     * @param _statusCode   Specifies the status code for the balance query request.
     * @param _balanceInfo   Specifies the balance information for the user.
     */
    public Balance (org.csapi.jr.se.Address _userID, org.csapi.jr.se.am.BalanceQueryError _statusCode, org.csapi.jr.se.am.BalanceInfo _balanceInfo) {

        this.userID = _userID;
        this.statusCode = _statusCode;
        this.balanceInfo = _balanceInfo;
    }

    /**
     * This method returns a userID.
     * 
     * @return a org.csapi.jr.se.Address value
     */
    public org.csapi.jr.se.Address getUserID() {
        return userID;
    }

    /**
     * This method returns a statusCode.
     * 
     * @return a org.csapi.jr.se.am.BalanceQueryError value
     */
    public org.csapi.jr.se.am.BalanceQueryError getStatusCode() {
        return statusCode;
    }

    /**
     * This method returns a balanceInfo.
     * 
     * @return a org.csapi.jr.se.am.BalanceInfo value
     */
    public org.csapi.jr.se.am.BalanceInfo getBalanceInfo() {
        return balanceInfo;
    }


    /**
     * This method sets a userID.
     */ 
    public void setUserID(org.csapi.jr.se.Address userID) {
        this.userID = userID;
    }

    /**
     * This method sets a statusCode.
     */ 
    public void setStatusCode(org.csapi.jr.se.am.BalanceQueryError statusCode) {
        this.statusCode = statusCode;
    }

    /**
     * This method sets a balanceInfo.
     */ 
    public void setBalanceInfo(org.csapi.jr.se.am.BalanceInfo balanceInfo) {
        this.balanceInfo = balanceInfo;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof Balance)) {
            return false;
        } 
        Balance balance = (Balance) o;
        if ((this.userID != null) && (balance.userID != null)) {
            if(!(this.userID.equals(balance.userID))) {
                return false;
            }
        }
        if ((this.statusCode != null) && (balance.statusCode != null)) {
            if(!(this.statusCode.equals(balance.statusCode))) {
                return false;
            }
        }
        if ((this.balanceInfo != null) && (balance.balanceInfo != null)) {
            if(!(this.balanceInfo.equals(balance.balanceInfo))) {
                return false;
            }
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // Balance

