//Source file: ChargingEventCriteria.java
//Date: December 2004
//Account Management Interfaces and Data Types for 3GPP TS 29.198-11 V5.7.0

package org.csapi.jr.se.am;

/**
 * Defines the structure of data elements that specifies charging event criteria.
 * 
 */
public final class ChargingEventCriteria implements java.io.Serializable {

    private org.csapi.jr.se.am.ChargingEventName[] chargingEvents;
    private org.csapi.jr.se.Address[] users;

    /**
     * Creates a new ChargingEventCriteria instance.
     */
    public ChargingEventCriteria () {}

    /**
     * Creates a new ChargingEventCriteria instance.
     * @param _chargingEvents   Specifies the specific charging event criteria used by the application to define the event required.
     * @param _users   Specifies the user(s) for which the charging events are requested to be reported.
     */
    public ChargingEventCriteria (org.csapi.jr.se.am.ChargingEventName[] _chargingEvents, org.csapi.jr.se.Address[] _users) {

        this.chargingEvents = _chargingEvents;
        this.users = _users;
    }

    /**
     * This method returns a chargingEvents.
     * 
     * @return a org.csapi.jr.se.am.ChargingEventName[] value
     */
    public org.csapi.jr.se.am.ChargingEventName[] getChargingEvents() {
        return chargingEvents;
    }

    /**
     * This method returns a users.
     * 
     * @return a org.csapi.jr.se.Address[] value
     */
    public org.csapi.jr.se.Address[] getUsers() {
        return users;
    }


    /**
     * This method sets a chargingEvents.
     */ 
    public void setChargingEvents(org.csapi.jr.se.am.ChargingEventName[] chargingEvents) {
        this.chargingEvents = chargingEvents;
    }

    /**
     * This method sets a users.
     */ 
    public void setUsers(org.csapi.jr.se.Address[] users) {
        this.users = users;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof ChargingEventCriteria)) {
            return false;
        } 
        ChargingEventCriteria chargingEventCriteria = (ChargingEventCriteria) o;
        if(!(this.users == chargingEventCriteria.users))  {
            return false;
        }
        if(!(this.chargingEvents == chargingEventCriteria.chargingEvents))  {
            return false;
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // ChargingEventCriteria

