//Source file: ChargingEventCriteriaResult.java
//Date: December 2004
//Account Management Interfaces and Data Types for 3GPP TS 29.198-11 V5.7.0

package org.csapi.jr.se.am;

/**
 * Defines the Sequence of Data Elements that specify the criteria relating to event requests.
 * 
 */
public final class ChargingEventCriteriaResult implements java.io.Serializable {

    private org.csapi.jr.se.am.ChargingEventCriteria chargingEventCriteria;
    private int assignmentID;

    /**
     * Creates a new ChargingEventCriteriaResult instance.
     */
    public ChargingEventCriteriaResult () {}

    /**
     * Creates a new ChargingEventCriteriaResult instance.
     * @param _chargingEventCriteria   
     * @param _assignmentID   
     */
    public ChargingEventCriteriaResult (org.csapi.jr.se.am.ChargingEventCriteria _chargingEventCriteria, int _assignmentID) {

        this.chargingEventCriteria = _chargingEventCriteria;
        this.assignmentID = _assignmentID;
    }

    /**
     * This method returns a chargingEventCriteria.
     * 
     * @return a org.csapi.jr.se.am.ChargingEventCriteria value
     */
    public org.csapi.jr.se.am.ChargingEventCriteria getChargingEventCriteria() {
        return chargingEventCriteria;
    }

    /**
     * This method returns a assignmentID.
     * 
     * @return a int value
     */
    public int getAssignmentID() {
        return assignmentID;
    }


    /**
     * This method sets a chargingEventCriteria.
     */ 
    public void setChargingEventCriteria(org.csapi.jr.se.am.ChargingEventCriteria chargingEventCriteria) {
        this.chargingEventCriteria = chargingEventCriteria;
    }

    /**
     * This method sets a assignmentID.
     */ 
    public void setAssignmentID(int assignmentID) {
        this.assignmentID = assignmentID;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof ChargingEventCriteriaResult)) {
            return false;
        } 
        ChargingEventCriteriaResult chargingEventCriteriaResult = (ChargingEventCriteriaResult) o;
        if ((this.chargingEventCriteria != null) && (chargingEventCriteriaResult.chargingEventCriteria != null)) {
            if(!(this.chargingEventCriteria.equals(chargingEventCriteriaResult.chargingEventCriteria))) {
                return false;
            }
        }
        if(!(this.assignmentID == chargingEventCriteriaResult.assignmentID)) {
            return false;
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // ChargingEventCriteriaResult

