//Source file: ChargingEventInfo.java
//Date: December 2004
//Account Management Interfaces and Data Types for 3GPP TS 29.198-11 V5.7.0

package org.csapi.jr.se.am;

/**
 * Defines the structure of data elements that specifies charging event information.
 * 
 */
public final class ChargingEventInfo implements java.io.Serializable {

    private org.csapi.jr.se.am.ChargingEventName chargingEventName;
    private org.csapi.jr.se.am.BalanceInfo currentBalanceInfo;
    private String chargingEventTime;

    /**
     * Creates a new ChargingEventInfo instance.
     */
    public ChargingEventInfo () {}

    /**
     * Creates a new ChargingEventInfo instance.
     * @param _chargingEventName   The charging event for which notifications can be requested by the application.
     * @param _currentBalanceInfo   The current balance of the user's account.
     * @param _chargingEventTime   The time at which the charging event occurred.
     */
    public ChargingEventInfo (org.csapi.jr.se.am.ChargingEventName _chargingEventName, org.csapi.jr.se.am.BalanceInfo _currentBalanceInfo, String _chargingEventTime) {

        this.chargingEventName = _chargingEventName;
        this.currentBalanceInfo = _currentBalanceInfo;
        this.chargingEventTime = _chargingEventTime;
    }

    /**
     * This method returns a chargingEventName.
     * 
     * @return a org.csapi.jr.se.am.ChargingEventName value
     */
    public org.csapi.jr.se.am.ChargingEventName getChargingEventName() {
        return chargingEventName;
    }

    /**
     * This method returns a currentBalanceInfo.
     * 
     * @return a org.csapi.jr.se.am.BalanceInfo value
     */
    public org.csapi.jr.se.am.BalanceInfo getCurrentBalanceInfo() {
        return currentBalanceInfo;
    }

    /**
     * This method returns a chargingEventTime.
     * 
     * @return a String value
     */
    public String getChargingEventTime() {
        return chargingEventTime;
    }


    /**
     * This method sets a chargingEventName.
     */ 
    public void setChargingEventName(org.csapi.jr.se.am.ChargingEventName chargingEventName) {
        this.chargingEventName = chargingEventName;
    }

    /**
     * This method sets a currentBalanceInfo.
     */ 
    public void setCurrentBalanceInfo(org.csapi.jr.se.am.BalanceInfo currentBalanceInfo) {
        this.currentBalanceInfo = currentBalanceInfo;
    }

    /**
     * This method sets a chargingEventTime.
     */ 
    public void setChargingEventTime(String chargingEventTime) {
        this.chargingEventTime = chargingEventTime;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof ChargingEventInfo)) {
            return false;
        } 
        ChargingEventInfo chargingEventInfo = (ChargingEventInfo) o;
        if ((this.chargingEventName != null) && (chargingEventInfo.chargingEventName != null)) {
            if(!(this.chargingEventName.equals(chargingEventInfo.chargingEventName))) {
                return false;
            }
        }
        if(!(this.chargingEventTime == chargingEventInfo.chargingEventTime))  {
            return false;
        }
        if ((this.currentBalanceInfo != null) && (chargingEventInfo.currentBalanceInfo != null)) {
            if(!(this.currentBalanceInfo.equals(chargingEventInfo.currentBalanceInfo))) {
                return false;
            }
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // ChargingEventInfo

