//Source file: QueryBalance.java
//Date: December 2004
//Account Management Interfaces and Data Types for 3GPP TS 29.198-11 V5.7.0

package org.csapi.jr.se.am;

/**
 * This interface represents a QueryBalance activity object.<BR>
 *
 */
public interface QueryBalance extends org.csapi.jr.se.Activity {

    /**
     * Returns a reference to the AccountManager responsible for creation of the QueryBalance.
     *
     * @return  A reference to the AccountManager responsible for creation of the QueryBalance.
     */
    org.csapi.jr.se.am.AccountManager getAccountManager();

    /**
     * Adds a QueryBalanceListener which is interested in events generated by the QueryBalance.
     *
     * @param  queryBalanceListener  A reference to the QueryBalanceListener which is to be added as
     *        a listener.
     */
    void addQueryBalanceListener(org.csapi.jr.se.am.QueryBalanceListener queryBalanceListener);

    /**
     * Removes a QueryBalanceListener which is no longer interested events generated by the QueryBalance.
     *
     * @param  queryBalanceListener  A reference to the QueryBalanceListener which is to be removed as
     *        a listener.
     */
    void removeQueryBalanceListener(org.csapi.jr.se.am.QueryBalanceListener queryBalanceListener);

    /**
     * Invokes the queryBalanceReq() method on the Parlay Gateway.
     */
    void queryBalanceReq(
           org.csapi.jr.se.Address[] users)
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.UnknownSubscriberException,
       org.csapi.jr.se.am.UnauthorizedApplicationException;
}
