//Source file: QueryBalanceErrEvent.java
//Date: December 2004
//Account Management Interfaces and Data Types for 3GPP TS 29.198-11 V5.7.0

package org.csapi.jr.se.am;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the queryBalanceErr() method on the callback interface 
 * has occured.<BR>
 *
 */
public final class QueryBalanceErrEvent extends java.util.EventObject {

    /**
     * Constructor for the QueryBalanceErrEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public QueryBalanceErrEvent(java.lang.Object source,
        org.csapi.jr.se.am.BalanceQueryError cause) {

        super(source);
      this.cause = cause;
 
    }

    org.csapi.jr.se.am.BalanceQueryError cause;

    /**
     *  This method is used to retrieve the parameter value of 'cause' passed up
     *  from the Gateway in it's call to the queryBalanceErr() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'cause' used on creation of this event.
     */
    public org.csapi.jr.se.am.BalanceQueryError getCause() {

        return this.cause;
    }
       
}

