//Source file: QueryBalanceListener.java
//Date: December 2004
//Account Management Interfaces and Data Types for 3GPP TS 29.198-11 V5.7.0

package org.csapi.jr.se.am;

/**
 * This interface is to be implemented for receiving events issued by the QueryBalance activity object.<BR>
 *
 */
public interface QueryBalanceListener extends java.util.EventListener {

   /**
    * Called due to a Gateway initiated call to the queryBalanceRes() method on
    * the callback interface.
    *
    * @param  queryBalanceResEvent  Reference to a QueryBalanceResEvent event
    *        emmited from the impl or activity object.
    */
    void onQueryBalanceResEvent(org.csapi.jr.se.am.QueryBalanceResEvent queryBalanceResEvent);


   /**
    * Called due to a Gateway initiated call to the queryBalanceErr() method on
    * the callback interface.
    *
    * @param  queryBalanceErrEvent  Reference to a QueryBalanceErrEvent event
    *        emmited from the impl or activity object.
    */
    void onQueryBalanceErrEvent(org.csapi.jr.se.am.QueryBalanceErrEvent queryBalanceErrEvent);

}
