//Source file: QueryBalanceResEvent.java
//Date: December 2004
//Account Management Interfaces and Data Types for 3GPP TS 29.198-11 V5.7.0

package org.csapi.jr.se.am;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the queryBalanceRes() method on the callback interface 
 * has occured.<BR>
 *
 */
public final class QueryBalanceResEvent extends java.util.EventObject {

    /**
     * Constructor for the QueryBalanceResEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public QueryBalanceResEvent(java.lang.Object source,
        org.csapi.jr.se.am.Balance[] balances) {

        super(source);
      this.balances = balances;
 
    }

    org.csapi.jr.se.am.Balance[] balances;

    /**
     *  This method is used to retrieve the parameter value of 'balances' passed up
     *  from the Gateway in it's call to the queryBalanceRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'balances' used on creation of this event.
     */
    public org.csapi.jr.se.am.Balance[] getBalances() {

        return this.balances;
    }
       
}

