//Source file: ReportNotificationEvent.java
//Date: December 2004
//Account Management Interfaces and Data Types for 3GPP TS 29.198-11 V5.7.0

package org.csapi.jr.se.am;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the reportNotification() method on the callback interface 
 * has occured.<BR>
 *
 */
public final class ReportNotificationEvent extends java.util.EventObject {

    /**
     * Constructor for the ReportNotificationEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public ReportNotificationEvent(java.lang.Object source,
        org.csapi.jr.se.am.ChargingEventInfo chargingEventInfo) {

        super(source);
      this.chargingEventInfo = chargingEventInfo;
 
    }

    org.csapi.jr.se.am.ChargingEventInfo chargingEventInfo;

    /**
     *  This method is used to retrieve the parameter value of 'chargingEventInfo' passed up
     *  from the Gateway in it's call to the reportNotification() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'chargingEventInfo' used on creation of this event.
     */
    public org.csapi.jr.se.am.ChargingEventInfo getChargingEventInfo() {

        return this.chargingEventInfo;
    }
       
}

