//Source file: RetrieveTransactionHistory.java
//Date: December 2004
//Account Management Interfaces and Data Types for 3GPP TS 29.198-11 V5.7.0

package org.csapi.jr.se.am;

/**
 * This interface represents a RetrieveTransactionHistory activity object.<BR>
 *
 */
public interface RetrieveTransactionHistory extends org.csapi.jr.se.Activity {

    /**
     * Returns a reference to the AccountManager responsible for creation of the RetrieveTransactionHistory.
     *
     * @return  A reference to the AccountManager responsible for creation of the RetrieveTransactionHistory.
     */
    org.csapi.jr.se.am.AccountManager getAccountManager();

    /**
     * Adds a RetrieveTransactionHistoryListener which is interested in events generated by the RetrieveTransactionHistory.
     *
     * @param  retrieveTransactionHistoryListener  A reference to the RetrieveTransactionHistoryListener which is to be added as
     *        a listener.
     */
    void addRetrieveTransactionHistoryListener(org.csapi.jr.se.am.RetrieveTransactionHistoryListener retrieveTransactionHistoryListener);

    /**
     * Removes a RetrieveTransactionHistoryListener which is no longer interested events generated by the RetrieveTransactionHistory.
     *
     * @param  retrieveTransactionHistoryListener  A reference to the RetrieveTransactionHistoryListener which is to be removed as
     *        a listener.
     */
    void removeRetrieveTransactionHistoryListener(org.csapi.jr.se.am.RetrieveTransactionHistoryListener retrieveTransactionHistoryListener);

    /**
     * Invokes the retrieveTransactionHistoryReq() method on the Parlay Gateway.
     */
    void retrieveTransactionHistoryReq(
           org.csapi.jr.se.Address user,
           org.csapi.jr.se.TimeInterval transactionInterval)
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.UnknownSubscriberException,
       org.csapi.jr.se.am.UnauthorizedApplicationException,
       org.csapi.jr.se.InvalidTimeAndDateFormatException;
}
