//Source file: RetrieveTransactionHistoryErrEvent.java
//Date: December 2004
//Account Management Interfaces and Data Types for 3GPP TS 29.198-11 V5.7.0

package org.csapi.jr.se.am;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the retrieveTransactionHistoryErr() method on the callback interface 
 * has occured.<BR>
 *
 */
public final class RetrieveTransactionHistoryErrEvent extends java.util.EventObject {

    /**
     * Constructor for the RetrieveTransactionHistoryErrEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public RetrieveTransactionHistoryErrEvent(java.lang.Object source,
        org.csapi.jr.se.am.TransactionHistoryStatus transactionHistoryError) {

        super(source);
      this.transactionHistoryError = transactionHistoryError;
 
    }

    org.csapi.jr.se.am.TransactionHistoryStatus transactionHistoryError;

    /**
     *  This method is used to retrieve the parameter value of 'transactionHistoryError' passed up
     *  from the Gateway in it's call to the retrieveTransactionHistoryErr() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'transactionHistoryError' used on creation of this event.
     */
    public org.csapi.jr.se.am.TransactionHistoryStatus getTransactionHistoryError() {

        return this.transactionHistoryError;
    }
       
}

