//Source file: RetrieveTransactionHistoryListener.java
//Date: December 2004
//Account Management Interfaces and Data Types for 3GPP TS 29.198-11 V5.7.0

package org.csapi.jr.se.am;

/**
 * This interface is to be implemented for receiving events issued by the RetrieveTransactionHistory activity object.<BR>
 *
 */
public interface RetrieveTransactionHistoryListener extends java.util.EventListener {

   /**
    * Called due to a Gateway initiated call to the retrieveTransactionHistoryRes() method on
    * the callback interface.
    *
    * @param  retrieveTransactionHistoryResEvent  Reference to a RetrieveTransactionHistoryResEvent event
    *        emmited from the impl or activity object.
    */
    void onRetrieveTransactionHistoryResEvent(org.csapi.jr.se.am.RetrieveTransactionHistoryResEvent retrieveTransactionHistoryResEvent);


   /**
    * Called due to a Gateway initiated call to the retrieveTransactionHistoryErr() method on
    * the callback interface.
    *
    * @param  retrieveTransactionHistoryErrEvent  Reference to a RetrieveTransactionHistoryErrEvent event
    *        emmited from the impl or activity object.
    */
    void onRetrieveTransactionHistoryErrEvent(org.csapi.jr.se.am.RetrieveTransactionHistoryErrEvent retrieveTransactionHistoryErrEvent);

}
