//Source file: RetrieveTransactionHistoryResEvent.java
//Date: December 2004
//Account Management Interfaces and Data Types for 3GPP TS 29.198-11 V5.7.0

package org.csapi.jr.se.am;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the retrieveTransactionHistoryRes() method on the callback interface 
 * has occured.<BR>
 *
 */
public final class RetrieveTransactionHistoryResEvent extends java.util.EventObject {

    /**
     * Constructor for the RetrieveTransactionHistoryResEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public RetrieveTransactionHistoryResEvent(java.lang.Object source,
        org.csapi.jr.se.am.TransactionHistory[] transactionHistory) {

        super(source);
      this.transactionHistory = transactionHistory;
 
    }

    org.csapi.jr.se.am.TransactionHistory[] transactionHistory;

    /**
     *  This method is used to retrieve the parameter value of 'transactionHistory' passed up
     *  from the Gateway in it's call to the retrieveTransactionHistoryRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'transactionHistory' used on creation of this event.
     */
    public org.csapi.jr.se.am.TransactionHistory[] getTransactionHistory() {

        return this.transactionHistory;
    }
       
}

